Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77452 - [RFE] Should be able to configure pam_timestamp duration
Summary: [RFE] Should be able to configure pam_timestamp duration
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: pam
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2002-11-07 09:44 UTC by Mike Hearn
Modified: 2015-01-08 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-01 17:55:40 UTC


Attachments (Terms of Use)

Description Mike Hearn 2002-11-07 09:44:50 UTC
I love how when you use something from the gui that requires root, the key
appears in the tray area and I don't have to reauthenticate while it's there. I
think 5 minutes is too short however, and would like to be able to configure it
as a number (rather than say a slider), with an option so that it never expires,
and I have to manually give it up (good for days when i'm feeling lazy).

Comment 1 Tomas Mraz 2005-05-24 17:34:08 UTC
The pam_timestamp already supports timestamp_timeout option to set the timeout
for the validity of the timestamp. However to be able to set it from gui it's
necessary first to modify all services config in /etc/pam.d/ which use
pam_timestamp to include one file with pam_timestamp in it which would be
modified from the gui.


Comment 2 Tomas Mraz 2006-02-01 17:55:40 UTC
There is now common /etc/pam.d/config-util configuration file which allows you
to set the pam_timestamp duration. After some discussions I've decided to not
implement GUI interface for this. The functionality of the system wouldn't be
improved much by this.

So the bug is fixed - you are now able to configure the duration although only
by editing the config-util file.



Note You need to log in before you can comment on or make changes to this bug.